System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

The class you use for conversion must inherit from . Use the property to get the name of the class that provides the data conversion for the object this attribute is bound to.

For more information about attributes, see Extending Metadata Using Attributes. For more information about type converters, see the base class and How to: Implement a Type Converter.

In order to establish a type converter on a custom class that provides type conversion behavior for XAML, you apply the attribute to your type. The argument of the attribute references your type converter implementation. Your type converter should be able to accept values from a string that is used for attributes or initialization text in XAML markup, and convert that string into your intended destination type. For more information, see TypeConverters and XAML.

Rather than applying to all values of a type, a type converter behavior for XAML can also be established on a specific property. In this case, you apply to the property definition (the outer definition, not the specific get and set definitions).

A type converter behavior for XAML usage of a custom attachable member can be assigned by applying to the get method accessor that supports the XAML usage. For more information, see Attached Properties Overview.

For complex XAML serialization cases that require additional state from the object runtime, consider defining a value serializer in addition to a type converter, and attribute both support classes on your custom types or custom members. For more information, see .

Specifies what type to use as a converter for the object this attribute is bound to.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class that provides the data conversion must inherit from .

  Initializes a new instance of the class with the default type converter, which is an empty string ("").

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class that provides the data conversion must inherit from .

  Initializes a new instance of the class, using the specified type name as the data converter for the object this attribute is bound to.

  The fully qualified name of the class to use for data conversion for the object this attribute is bound to.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class that provides the data conversion must inherit from .

  Initializes a new instance of the class, using the specified type as the data converter for the object this attribute is bound to.

  A that represents the type of the converter class to use for data conversion for the object this attribute is bound to.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the fully qualified type name of the to use as a converter for the object this attribute is bound to.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverterAttribute To be added

  Specifies the type to use as a converter for the object this attribute is bound to.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current .

  true if the value of the given object is equal to that of the current ; otherwise, false.

  The object to test the value equality of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .